#ifndef VYMVIEW_H 
#define VYMVIEW_H

#include <QItemSelectionModel>
#include <QSplitter>


class VymModel;
class MapEditor;
class TreeEditor;


class VymView : public QSplitter 
{
	Q_OBJECT
public:
	VymView(VymModel *model);
	~VymView();
	VymModel* getModel();
	MapEditor* getMapEditor();
	void initFocus();
	QItemSelectionModel* selectionModel();

public slots:
	void changeSelection (const QItemSelection &newSel, const QItemSelection &delSel);
	void expandAll ();
	void showSelection ();

private:
	VymModel *model;
	TreeEditor *treeEditor;
	QItemSelectionModel *selModel;
	MapEditor *mapEditor;
};


#endif

